🔒 Private label — contact sales. Requires a private-label entitlement on your API client.
Initiate draft payout
Security
oauth2ClientCredentials(Required scopes: payments:write)
- Mock serverhttps://developer.boyahq.com/_mock/v2/openapi/payments/{batch_no}/initiate
- Productionhttps://api.boyahq.com/v2/payments/{batch_no}/initiate
- Sandboxhttps://sandbox.api.boyahq.com/v2/payments/{batch_no}/initiate
curl -i -X PATCH \
'https://developer.boyahq.com/_mock/v2/openapi/payments/{batch_no}/initiate' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-H 'business_id: string' \
-H 'org_wallet_ref: string' \
-d '{
"source": "T312007",
"source_name": "OCHOA"
}'Payout initiated successfully
Response
{ "_id": "string", "batch_no": "string", "type": 0, "records": [ { … } ], "notes": "string", "org_wallet_ref": "string", "currency": "KES", "mandate_required": 0, "attachments": [ "string" ], "approvers": [ { … } ], "initiated_by": "string", "initiated_by_id": "string", "callbackURL": "string", "initiated_on": "string", "events": [ { … } ], "status": "pending", "budget": {}, "collaborators": [ "string" ], "createdAt": "string", "updatedAt": "string", "__v": 0, "id": "string", "fees": 0, "payout_amount": 0, "amount": 0, "initiated_by_name": "string", "summary": { "mpesa": 0, "pochi": 0, "boya": 0, "bank": 0, "rtgs": 0, "till": 0, "airtime": 0, "paybill": 0, "xente": 0, "mtn": 0, "airtel": 0 }, "recordsProcessed": 0, "amountProcessed": 0, "recordsFailed": 0, "source": "string", "source_name": "string" }